Template error when user's timezone isn't set
Status: Closed Start date: 2008-09-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I've just upgraded to Redmine 0.7.devel.1787 (MySQL) and I getting the error below on a number of pages.

It is only occuring for users that don't have their timezone set (which is the default).

The only way to fix the problem is to manually modify the value in the database as the error occurs on the My account page.

ActionView::TemplateError (undefined method `utc_to_local' for Wed Aug 29 07:12:47 UTC 2007:Time) 

on line #4 of my/_sidebar.rhtml:

1: <h3><%=l(:label_my_account)%></h3>

2: 

3: <p><%=l(:field_login)%>: <strong><%= @user.login %></strong><br />

4: <%=l(:field_created_on)%>: <%= format_time(@user.created_on) %></p>

5: <% if @user.rss_token %>

6: <p><%= l(:label_feeds_access_key_created_on, distance_of_time_in_words(Time.now, @user.rss_toke

n.created_on)) %>

7: (<%= link_to l(:button_reset), {:action => 'reset_rss_key'}, :method => :post %>)</p>

app/helpers/application_helper.rb:98:in `format_time'

app/views/my/_sidebar.rhtml:4:in `_run_erb_47app47views47my47_sidebar46rhtml'

Associated revisions

Revision 1801 - 2008-09-11 19:45 - Jean-Philippe Lang

Template error when user's timezone isn't set and UTC timestamps are used (#1889).

Revision 1837 - 2008-09-14 17:32 - Nicolas Chuche

r18537@gaspard (orig r1801):  jplang | 2008-09-11 19:45:21 +0200

Template error when user's timezone isn't set and UTC timestamps are used (#1889).

History

#1 - 2008-09-11 19:40 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

This problem didn't occur to me since I was not using UTC times.

It should be fixed in r1801. Can you confirm please ?

#2 - 2008-09-11 21:20 - Bevan Davis

Jean-Philippe Lang wrote:

This problem didn't occur to me since I was not using UTC times.

It should be fixed in r1801. Can you confirm please ?

 Yes looks good.

Can go to My account page and set Timezone to 'nothing', save and then browse without getting errors.

Thanks

Bevan
#3 - 2008-09-12 18:35 - Jean-Philippe Lang

- Category set to Accounts / authentication

- Status changed from Resolved to Closed

Thanks for the feedback.
